afc_client_free
afc_client_new
afc_client_start_service
afc_client_t
afc_dictionary_free
afc_error_t
afc_file_close
afc_file_lock
afc_file_mode_t
afc_file_open
afc_file_read
afc_file_seek
afc_file_tell
afc_file_truncate
afc_file_write
afc_get_device_info
afc_get_device_info_key
afc_get_device_info_plist
afc_get_file_info
afc_get_file_info_plist
afc_link_type_t
afc_lock_op_t
afc_make_directory
afc_make_link
afc_read_directory
afc_remove_path
afc_remove_path_and_contents
afc_rename_path
AFC_SERVICE_NAME
afc_set_file_time
afc_strerror
afc_truncate

## afc_client_new()

afc_error_t afc_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | afc_client_t * | client )

Makes a connection to the AFC service on the device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated afc_client_t upon successful return.

Returns
  AFC_E_SUCCESS on success, AFC_E_INVALID_ARG if device or service is invalid, AFC_E_MUX_ERROR if the connection cannot be established, or AFC_E_NO_MEM if there is a memory allocation problem.